﻿@model IEnumerable<BeerOverflow.Web.Models.UserViewModels.ListUserViewModel>
@{
    ViewData["Title"] = "ListUsers";
}


@*<p>
        <a asp-action="Create">Create New</a>
    </p>*@
<table class="table">
    <thead>
        <tr>
            <th>
                <p> User</p>
            </th>
            <th>
                <p>Country</p>
            </th>
            <th>
                <p>Created on</p>
            </th>
            <th>
                <p>Last accessed on</p>
            </th>
            @if (User.IsInRole("Admin"))
            {
                <th>
                    <p>Banned</p>
                </th>
                <th>
                    <p>Details</p>
                </th>
                <th>
                    <p>Delete</p>
                </th>
                <th>
                    <p>Ban</p>
                </th>
            }
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.UserName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CountryName)

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreatedOn)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.LastAccessedOn)
                </td>
                @if (User.IsInRole("Admin"))
                {
                    <td>
                        @if (item.Ban == null || item.Ban.Banned == false)
                        {
                            @Html.DisplayName("False")
                        }
                        else
                        {
                            @Html.DisplayName("True")
                        }
                    </td>

                    <td>
                        <a asp-controller="User" asp-action="ShowReviews" asp-route-name="@item.UserName">Reviews</a>
                    </td>

                    <td>
                        <button onclick="document.getElementById('id01').style.display='block'">Delete User</button>

                        <div id="id01" class="modal">
                            <span onclick="document.getElementById('id01').style.display='none'" class="close" title="Delete User">&times;</span>
                            <form class="modal-content" action="/action_page.php">
                                <div class="container">
                                    <h1>Delete Account</h1>
                                    <p>Are you sure you want to delete your account?</p>

                                    <div class="clearfix">
                                        <input style="display: none" value="@item.Id" />
                                        <button type="button" class="cancelbtn" id="cancelBtn">Cancel</button>
                                        <span style="border: 0.5px solid gray; padding: 3.5px 5px; background-color: #EEE">
                                            <a asp-controller="User" asp-action="DeleteUser" asp-route-id="@item.Id" style="color: black">Delete</a>   
                                        </span>
                                        @*<button type="button" class="deletebtn" id="deleteBtn" asp-controller="User" asp-action="DeleteUser(@item.Id)">Delete</button>*@
                                    </div>
                                </div>
                            </form>
                        </div>
                    </td>
                    <td>
                        <a asp-controller="User" asp-action="BanUser" asp-route-id="@item.Id">Ban</a>
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
<script>
    // Get the modal
    var modal = document.getElementById('id01'),
        cancel = document.getElementById('cancelBtn');
        //delete = document.getElementById('deleteBtn');

    // When the user clicks anywhere outside of the modal, close it
    window.onclick = function (event) {
        if (event.target == modal || event.target == cancel) {
            modal.style.display = "none";
        //else if (event.target == delete) {

        //    }
        }
    }
</script>